Subject: Re: [PATCH] net: fec: add support of ethtool get_regs

From: Philippe Reynes <[email-masked]>
Date: Sun, 10 May 2015 00:16:21 +0200

Hi Fabio,

On 09/05/15 23:59, Fabio Estevam wrote:
> Philippe,
>
> On Sat, May 9, 2015 at 6:17 PM, Russell King - ARM Linux
> <[email-masked]>  wrote:
>
>> Using memcpy_fromio() to copy device registers is not a good idea -
>> it can use a variable access size which can cause bus faults.
>
> An example on how memcpy_fromio() can be avoided in get_regs:
> drivers/net/ethernet/samsung/sxgbe/sxgbe_ethtool.c

Thanks for pointing me this example. I've already send a patch,
and I've used drivers/net/ethernet/freescale/gianfar_ethtool.c
as example. I hope it's a good example too.

> Regards,
> Fabio Estevam

Regards,
Philippe